/* Layout */
import Layout from '@/layout'

// 授权管理页面
const clubRoutes = [
  {
    path: '/club',
    component: Layout,
    alwaysShow: true,
    redirect: '/club/list',
    name: 'Club',
    meta: { title: '机构管理', icon: 'el-icon-user-solid', roles: ['normal'], noCache: true, proxy: true },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/authuser/index'),
        name: 'ClubList',
        meta: { title: '机构列表', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true }
      },
      {
        path: 'user-list',
        component: () => import('@/views/authentic/authuser/userList'),
        name: 'ClubUserList',
        hidden: true,
        meta: { title: '用户列表', icon: 'el-icon-menu', roles: ['normal'], noCache: true, proxy: true }
      }
    ]
  }
]

export default clubRoutes
