/* Layout */
import Layout from '@/layout'

// 审核页面路由
const reviewRoutes = [
  // 授权机构审核路由
  {
    path: '/review/auth',
    component: Layout,
    alwaysShow: true,
    name: 'ReviewAuth',
    redirect: '/review/auth/list',
    meta: { title: '品牌授权审核', icon: 'el-icon-s-check', roles: ['admin'], noCache: true },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/review/auth/index'),
        name: 'ReviewList',
        meta: { title: '审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'auth-list',
        hidden: true,
        component: () => import('@/views/authentic/review/auth/authList'),
        name: 'ReviewAuthList',
        meta: { title: '授权机构审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'shop-list',
        hidden: true,
        component: () => import('@/views/authentic/review/auth/shopList'),
        name: 'ShopList',
        meta: { title: '商品审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'shop-detail',
        hidden: true,
        component: () => import('@/views/authentic/review/auth/shopDetail'),
        name: 'ShopDetail',
        meta: { title: '商品审核详情', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      }
    ]
  },
  // 资料审核路由
  {
    path: '/review/doc',
    component: Layout,
    alwaysShow: true,
    name: 'ReviewDoc',
    redirect: '/review/doc/list',
    meta: { title: '资料审核管理', icon: 'el-icon-s-check', roles: ['admin'], noCache: true },
    children: [
      {
        path: 'list',
        component: () => import('@/views/authentic/review/doc/index'),
        name: 'ReviewDocList',
        meta: { title: '审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'article',
        component: () => import('@/views/authentic/review/doc/articleList'),
        name: 'ReviewDocArticle',
        hidden: true,
        meta: { title: '文章审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'article/detail',
        component: () => import('@/views/authentic/review/doc/articleDetail'),
        name: 'ReviewDocArticleDetail',
        hidden: true,
        meta: { title: '审核文章', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'image',
        component: () => import('@/views/authentic/review/doc/imageList'),
        name: 'ReviewDocImage',
        hidden: true,
        meta: { title: '图片审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'image/detail',
        component: () => import('@/views/authentic/review/doc/imageDetail'),
        name: 'ReviewDocImageDetail',
        hidden: true,
        meta: { title: '审核图片', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'video',
        component: () => import('@/views/authentic/review/doc/videoList'),
        name: 'ReviewDocVideo',
        hidden: true,
        meta: { title: '视频审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      },
      {
        path: 'file',
        component: () => import('@/views/authentic/review/doc/fileList'),
        name: 'ReviewDocFile',
        hidden: true,
        meta: { title: '文件审核列表', icon: 'el-icon-menu', roles: ['admin'], noCache: true }
      }
    ]
  }
]

export default reviewRoutes
